## org.gnu.gtk
Class IconSource

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gtk.IconSource

public class IconSource
extends Boxed

Constructor Summary
`IconSource()` Construct a new IconSource object.

Method Summary
`TextDirection` `getDirection()` Returns the text direction for the icon source.
`java.lang.String` `getFilename()` Retrieves the source filename or null if one does not exist.
`java.lang.String` `getIconName()` Retrieves the source icon name, or NULL if none is set.
`Pixbuf` `getPixbuf()` Retrieves the source pixbuf or null if one does not exist.
`IconSize` `getSize()` Return the icon size.
`StateType` `getState()` Return the icon state.
`void` `setDirection(TextDirection direction)` Set the text direction the icon source is intended to be used with.
`void` `setFilename(java.lang.String filename)` Sets the source filename
`void` `setIconName(java.lang.String iconName)` Sets the name of an icon to look up in the current icon theme to use as a base image when creating icon variants for `IconSet`.
`void` `setPixbuf(Pixbuf pixbuf)` Sets the source pixbuf.
`void` `setSize(IconSize iconSize)` Set the icon size.
`void` `setState(StateType state)` Set the icon state.

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconSource

    public IconSource()

  Construct a new IconSource object.

Method Detail

### setFilename

    public void setFilename(java.lang.String filename)

  Sets the source filename

### getFilename

    public java.lang.String getFilename()

  Retrieves the source filename or null if one does not exist.

### setPixbuf

    public void setPixbuf(Pixbuf pixbuf)

  Sets the source pixbuf.

### getPixbuf

    public Pixbuf getPixbuf()

  Retrieves the source pixbuf or null if one does not exist.

### setSize

    public void setSize(IconSize iconSize)

  Set the icon size.

### getSize

    public IconSize getSize()

  Return the icon size.

### setState

    public void setState(StateType state)

  Set the icon state.

### getState

    public StateType getState()

  Return the icon state.

### setDirection

    public void setDirection(TextDirection direction)

  Set the text direction the icon source is intended to be used with.

### getDirection

    public TextDirection getDirection()

  Returns the text direction for the icon source.

### setIconName

    public void setIconName(java.lang.String iconName)

  Sets the name of an icon to look up in the current icon theme to use as a base image when creating icon variants for `IconSet`.

### getIconName

    public java.lang.String getIconName()

  Retrieves the source icon name, or NULL if none is set. The icon_name is not a copy, and should not be modified or expected to persist beyond the lifetime of the icon source.